<ion-header>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button defaultHref='tabs/home'></ion-back-button>
    </ion-buttons>
    <ion-title *ngIf='this.hasCategory'>{{this.category.name || "Servizi"}}</ion-title>
    <ion-title *ngIf='this.hasGroup'>{{ this.group.name || "Servizi"}}</ion-title>
 <!--   <ion-buttons slot="primary" *ngIf='this.category || this.group'>
      <ion-button color="primary"  (click)='openDescriptionModal()'>
        <ion-icon slot="icon-only"  size='large' slot='end'
                  name="help-outline" class='custom'>
        </ion-icon>
      </ion-button>
    </ion-buttons>-->
  </ion-toolbar>
</ion-header>
<ion-content fullscreen='true'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title' *ngIf='this.hasCategory'>{{this.category.name || "Servizi"}}</div>
        <div class='toolbar-title' *ngIf='this.hasGroup'>{{ this.group.name || "Servizi"}}</div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-list *ngIf='services.length == 0 && isLoading === true' class='ion-padding custom-skeleton'>
    <ion-list-header>
      <ion-skeleton-text animated style='width: 80px'></ion-skeleton-text>
    </ion-list-header>
    <ion-item *ngFor='let number of [0,1,2,3,4,5,6,7,8,9]'>
      <ion-thumbnail slot='start'>
        <ion-skeleton-text></ion-skeleton-text>
      </ion-thumbnail>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style='width: 80%'></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style='width: 60%'></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style='width: 30%'></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list *ngIf='services && services.length > 0 && isLoading === false'
            lines='full' class='ion-padding-horizontal ion-padding-top'>
    <ion-item *ngFor='let service of services' detail='true' (click)="openDetails('service-details',service)">
      <ion-label class='ion-text-wrap'>{{service.name}}
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list *ngIf='services.length == 0 && isLoading === false'>
    <ion-list-header>
      <h3>{{ 'topics.nessun_servizio' | translate }}</h3>
    </ion-list-header>
  </ion-list>
  <ion-infinite-scroll threshold='100px' (ionInfinite)='loadData($event)'>
    <ion-infinite-scroll-content
      loadingSpinner='bubbles'
      loadingText="{{ 'common.recupero_dati' | translate }}">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
